/*
 * 
 *
 */

#include <string.h>

#include "common.h"
#include "uart.h"
#include "gps.h"
#include "leds.h"
//#include "radio.h"

char gps_rx_buff[GPS_RX_BUFF_LEN];
uint32_t gps_rx_buff_cnt;
uint32_t gps_recv_flag;             // 

// Externs
extern uint8_t uart_rx_buff[];
extern struct_system_flags system_flags;

//*****************************************************************************
// Description: 
// Input:   None
// Output:  None
//
void gps_init(void)
{


}

//*****************************************************************************
// Description: 
// Input:   None
// Output:  None
//
void gps_check(void)
{
  if(system_flags.gps_data_received)
  {
    system_flags.gps_data_received = FALSE;
    led0_toggle();
  }
}

//*****************************************************************************
// Description: Check if this is a GPS code (ex. $GPGLL) we care about
// Input:   pointer to recieved GPS code
// Output:  TRUE or FALSE
//
uint32_t gps_check_code(uint8_t *ptr)
{  
  if(!strncmp("$GPGLL", (const char *)ptr, GPS_CODE_LEN))
  {
    return(TRUE);
  }
  
  return(FALSE);
}

//*****************************************************************************
// Description: Copy the received GPS sentence from UART buffer to GPS buffer
// Input:   None
// Output:  None
//
void gps_buff_copy(const char *uart_buff)
{
  strcpy(gps_rx_buff, uart_buff);
  system_flags.gps_data_received = TRUE;
}

//*****************************************************************************
// Description:  Parse the received $GPGLL sentence
// Input:   None
// Output:  None
//
uint32_t gps_process_gpgll(void)
{
  // Set flag indicating the sentence is being processed to avoid race conditon
  
  return(1);
}

// end of file
