/* Copyright (c) 2009 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */

#include <string.h>

#include "common.h"

#include "nrf.h"
#include "nrf_delay.h"

#include "nrf_gpio.h"
#include "boards.h"
#include "uart.h"
#include "gps.h"
#include "uif.h"
#include "gpiote.h"

// Defines


// Local prototypes
static void hardware_init(void);

// Globals
uint32_t system_mode;
struct_system_flags system_flags;

// Externs 
extern uint32_t gps_recv_flag;
extern uint32_t uart_interface;
extern char gps_rx_buff[];

int main(void)
{
	hardware_init();
  
  while(TRUE)
  {
    gps_check();
    uif_command_check();    
  }
} // end main

//*****************************************************************************
// Description: Initializes the system hardware
// Input:   None
// Output:  None
//
static void hardware_init(void)
{  
  // Initialize the UART to communicate with GPS receiver
  uart_gps_init();
	
  gpiote_init();
}

// end of file
